<template>
  <!-- 修改销售计划物资信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">销售计划物资信息</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="290" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "/api/v1/ams/getAmsSalePlanMaterialByPlanMaterialId?planMaterialId=" +
            this.$route.params.planMaterialId
        )
        .then((res) => {
            console.log(res.data.data)
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let amsSalePlanMaterial = {
        planMaterialId: this.$route.params.planMaterialId,
        materialId: this.form1.materialId,
        materialNumber: this.form1.materialNumber,
      };
       console.log("amsSalePlanMaterial",amsSalePlanMaterial)
      if (
        amsSalePlanMaterial.materialId == null ||
        amsSalePlanMaterial.materialNumber == null
      )
     
        this.$message.error("必填项存在空值！");
      else
        this.axios
          .post(
            "/api/v1/ams/upadteAmsSalePlanMaterial",
            amsSalePlanMaterial
          )
          .then((res) => {
            if (res.data.code == "200") {
              this.$router.go(-1);
            }
          });
    },
  },
};
</script>
<style lang="scss" scoped>

</style>